/*
 * @author Lenidas de Oliveira Brando
 * @see    Compila.java; Leia.java; Itens.java
 *
 * MAC323 - 2003
 * Exemplo simples para compilao: expresses aritmticas formadas por {constantes , + , - , * , / }
 *
 * Descrio: classe para representar um item lxico, a ser usado no Analisador Lxico ("emulado" pelo "Itens.java")
 */

public class Elemento {

    Object obj;
    int tipo; // 0: constante, 1: operador

    Elemento (String str) {
      int i;
      obj = str;
      try {
        i = Integer.parseInt(str); //str.trim();  // o "trim"  para o caso de precisar eleminar caracteres separadores...
	tipo = 0;
        }
      catch (NumberFormatException e) {
	tipo = 1;
        }
      }

    public int tipo () { return tipo; }
    public String obj () { return (String)obj; }  

  }
