/*
 * @author Lenidas de Oliveira Brando
 * @see    Compila.java; Leia.java; Elementos.java;
 *
 * MAC323 - 2003
 * Exemplo simples para compilao: expresses aritmticas formadas por {constantes , + , - , * , / }
 *
 * Descrio: classe para construir os itens lxicos, guardando-os num "Vector" (faz o papel do Analisador Lxico - AL)
 */

import java.lang.Object;
import java.util.StringTokenizer;
import java.util.Vector;

public class Itens {

  static Vector montaItens (String cadeia) {
    Vector itensLex = new Vector();
    StringTokenizer st = new StringTokenizer(cadeia," "); // expresso tem que estar separada por brancos    
    String str; 
    int conta = 0;
    while (st.hasMoreTokens()) {
      str = st.nextToken(); conta++;
      Elemento elem = new Elemento(str);
      itensLex.addElement(elem);
      //System.out.print(str+" ");
      }
    //System.out.println("\nNmero de itens lxicos: "+conta);
    return itensLex;
    }

  
  // Para testar se est montando os itens lxicos corretamente
  static void listaItens (Vector itensLex) {
    // para o caso de querer testar se o AL est pegando os tipos corretos
    //for (int i = 0; i<itensLex.size(); i++) {
    //  System.out.print( ((Elemento)itensLex.elementAt(i)).tipo()+" ");
    //  }
    //System.out.println();
    for (int i = 0; i<itensLex.size(); i++) {
      System.out.print( ((Elemento)itensLex.elementAt(i)).obj()+" ");
      }
    System.out.println("\nNmero de itens lxicos: "+itensLex.size());
    }

}
