/*
 * @author Lenidas de Oliveira Brando
 * @see    Compila.java; Elementos.java; Itens.java
 *
 * MAC323 - 2003
 * Exemplo simples para compilao: expresses aritmticas formadas por {constantes , + , - , * , / }
 *
 * Descrio: l do teclado um cadeia de caracteres e devolve na forma de String
 */

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;
import java.lang.*; // para o Float

public class Leia {

   static BufferedReader in = new BufferedReader(new InputStreamReader(System.in));

   // Leia line do Teclado.
   public static String readLine() { //throws IOException {
     String s = null;
     try {
       System.out.print("Digite a expresso, sepando cada item por espao: ");
       s = in.readLine();
       //System.out.println();
       } 
     catch (java.io.IOException ioe) {
       System.out.println("readLine: Formato invlido: " + ioe.getMessage());
       }
      return s;
    }

   // Programa para testar esta classe
   public static void main(String[] args) throws IOException {
     try {
       String s = Leia.readLine();
       } 
     catch (NumberFormatException nfe) {
       System.out.println("Formato invlido: " + nfe.getMessage());
       }

     }

}
